body{
    background-image: url(images/background.jpg);
    background-position: center;
    background-size: cover;
    background-position-y: 0px;
    background-repeat: no-repeat;
    background-color: black;
    margin: 0;
    padding: 0;
}

/* PLAYERS */

/* Your perso(id) */
#myPerso{
    position: absolute;
    left: 200px;
    top: 200px;
}

/* Perso images(class) */
#myPerso > .tri{
    width: 250px;
    margin-top: 70px;
    display: none;
}
#myPerso > .tRex{
    width: 350px;
    margin-left: -70px;
    display: none;
}
#myPerso > .velo{
    width: 260px;
    margin-top: 160px;
    display: none;
}
#myPerso > .spin{
    width: 480px;
    margin-left: -150px;
    margin-top: 70px;
    display: none;
}
#myPerso > .anky{
    width: 200px;
    margin-top: 170px;
    transform: scaleX(-1);
    display: none;
}
#myPerso > .gira{
    margin-top: -95px;
    margin-left: -200px;
    width: 542px;
    display: none;
}
#myPerso > .carno{
    width: 450px;
    margin-top: -70px;
    margin-left: -180px;
    transform: scaleX(-1);
    display: none;
}

/* your Rival(id) */
#myRival{
    position: absolute;
    left: 1000px;
    top: 200px; 
    transform: scaleX(-1);
}

/* Rival images(class) */
#myRival > .rivTri{
    width: 230px;
    margin-top: 70px;
    display: none;
}
#myRival > .rivVelo{
    width: 260px;
    margin-top: 160px;
    display: none;
}
#myRival > .rivTrex{
    width: 350px;
    display: none;
}
#myRival > .rivSpin{
    width: 480px;
    margin-right: -130px;
    margin-top: 70px;
    display: none;
}
#myRival > .rivAnky{
    width: 200px;
    margin-top: 170px;
    transform: scaleX(-1);
    display: none;
}
#myRival > .rivGira{
    margin-top: -100px;
    margin-right: -190px;
    width: 542px;
    display: none;
}
#myRival > .rivCarno{
    width: 450px;
    margin-top: -70px;
    margin-right: -110px;
    transform: scaleX(-1);
    display: none;
}

/* SPECIAL VELOCIRAPTOR */

/* Arrows images */
.fasterImgPerso{
    width: 30px;
    position: absolute;
    left: 80px;
    top: -20px;
    display: none;
}
.fasterImgRiv{
    width: 30px;
    position: absolute;
    left: 190px;
    top: -20px;
    display: none;
}

/* ANIMATION */

.shake{
    animation: shake 0.5s;    
}

.fail{
    transform: scaleX(-1);
    width: 45px;
    position: absolute;
    left: 200px;
    top: -20px;
    font-weight: bold;
    font-style: italic;
    border-radius: 8px;
    background-color: black;
    color: orange;
    text-align: center;
    display: none;
}

/* ATTACK */

.supAttack{
    margin: auto;
    position: absolute;
    top: 540px;
    left: 585px;
    width: 200px;
    background-color: black;
    text-align: center;
    color: white;
    padding: 10px;
    display: none;
    border: 3px solid orange;
    border-radius: 15px;
}

/* DINOS POWER */

.persoPower{
    position: absolute;
    left: 20px;
    top: 10px;
}
.rivalPower{
    position: absolute;
    left: 130px;
    top: 10px;
    transform: scaleX(-1);
} 
progress[value]{
    appearance: none;
    width: 140px;
    height: 16px;
    border-radius:12px;
    border: 1px solid rgba(0, 0, 0, 0.959);
    background-color: rgb(0, 0, 0);
    box-shadow: 1px 2px 5px rgb(0, 0, 0);
}
progress[value]::-webkit-progress-bar {
    appearance: none;
    width: 140px;
    height: 16px;
    border-radius: 12px;
    background-color: rgb(0, 0, 0);
    box-shadow: 1px 2px 5px rgb(0, 0, 0);
}
 progress::-moz-progress-bar {
    padding-top: 1px;
    background: orange;
    border-radius: 12px;
    box-shadow: inset -1px 1px 3px rgba(59, 59, 59, 0.959),
                1px -1px 3px 0 rgb(0, 0, 0);
    height: 15px;
}
progress::-webkit-progress-value { 
    padding-top: 1px; 
    background: orange;
    border-radius: 12px;
    box-shadow: inset -1px -1px 3px rgba(59,59,59,0.959),
                1px -1px 3px 0px rgba(0,0,0); 
    height: 15px;
} 

/* FINAL */

.youLoose, .youWin{
    color: white;
    text-shadow: 0 0 7px orange;
    text-align: center;
    padding: 10px;
    display: none;
}
.msgImg{
    width: 400px;
    position: absolute;
    top: 100px;
    left: 490px;
}
.msgYouLoose{
    position: absolute;
    top: 245px;
    left: 590px;
}
.msgYouWin{
    position: absolute;
    top: 245px;
    left: 615px;
}
/* END */

@keyframes shake {
    0% { transform: translate(1px, 1px) rotate(0deg); }
    10% { transform: translate(-1px, -2px) rotate(-1deg); }
    20% { transform: translate(-3px, 0px) rotate(1deg); }
    30% { transform: translate(3px, 2px) rotate(0deg); }
    40% { transform: translate(1px, -1px) rotate(1deg); }
    50% { transform: translate(-1px, 2px) rotate(-1deg); }
    60% { transform: translate(-3px, 1px) rotate(0deg); }
    70% { transform: translate(3px, 1px) rotate(-1deg); }
    80% { transform: translate(-1px, -1px) rotate(1deg); }
    90% { transform: translate(1px, 2px) rotate(0deg); }
    100% { transform: translate(1px, -2px) rotate(-1deg); }
} 